$primary-color: #3F107E;
$secondary-color: #9B0E8E;
$secondary-light-color: #FFD4FB;
$secondary-ultralight-color: #FFEEFD;
$light-color: #fff;
$light-grey: #eee;



html, body{
    margin: 0;
    padding: 0;
    background-color: #FAFAFA;
    font-family: 'Montserrat', sans-serif;
}

.overflow-hidden{
    overflow: hidden !important;
}

*{
    transition: 0.2s;
}

a{
    text-decoration: none;
    color: #000;
}

.top-margin-16{
    margin-top: 16px !important;
}

.solid-action-btn{
    color: #fff;
    padding: 8px 24px;
    font-size: 12px;
    font-weight: 700;
    border-radius: 40px;
    border: none;
    background: linear-gradient(225deg, #280B54, #3F107E);
}

.outline-action-btn{
    color: $primary-color;
    padding: 4px 8px;
    background-color: transparent;
    font-size: 12px;
    font-weight: 700;
    border-radius: 40px;
    border: 1px solid $primary-color;
}

header{
    position: sticky;
    top: 0;
    // height: 70px;
    padding: 12.5px 25px;
    background-color: $light-color;
    box-shadow: 0 4px 8px #00000010;
    display: grid;
    grid-template-columns: 90px auto 100px;
    z-index: 10;
    .button{
        margin: auto 0;
        display: none;
        .bar{
            display: block;
            width: 28px;
            height: 3px;
            border-radius: 100px;
            margin-bottom: 5px;
            margin-top: 5px;
            background-color: $secondary-color;
        }
    }
    a{
        img{
            width: 88px;
        }
    }
    .search-box{
        position: relative;
        margin: auto;
        .fa-search{
            position: absolute;
            left: 14.5px;
            top: 12px;
            color: #707070;
            font-size: 14px;
        }
        input{
            border: none;
            border-radius: 5px;
            font-size: 16px;
            color: #00000070;
            width: 300px;
            padding: 8px 9px 8px 40px;
            background-color: #F5F5F5;
            &:focus{
                outline: none;
            }
            &::-webkit-input-placeholder {
                font-size: 16px;
                color: #00000070;
            }
        }
    }
    .right-box{
        display: grid;
        grid-template-columns: auto auto;
        align-items: center;
        .notification-bell{
            font-size: 23px;
            color: #fa3636;
            text-align: center;
        }
        .notification-bell:hover{
            cursor: pointer;
            color: #981e1e;
        }
       
        .profile-pic{
            width: 36px;
            height: 36px;
            overflow: hidden;
            border-radius: 36px;
            margin: auto;
            img{
                width: 36px;
            }
        }
    }
    
}

.notification-box{
    display: none;
    position: fixed;
    width: 435px;
    height: 500px;
    overflow-y: scroll;
    top: 70px;
    right: 90px;
    background-color: #ffffff;
    box-shadow: 2px 2px 10px 1px #00000047; 
    border-radius: 5px;
    z-index: 10;
    &::-webkit-scrollbar{
        width: 3.5px;
    }
    &::-webkit-scrollbar-thumb {
      background: #a09e9e; 
      border-radius: 5px;
    }

    .head{
        padding: 16px;
        .title{
            font-size: 18px;
            font-weight: bold;
        }
        .action{
            padding: 8px 12px;
            cursor: pointer;
        }
    }        
    .notification-item{
        position: relative;
        display: grid;
        padding: 16px;
        grid-template-columns: 50px auto 70px;
        cursor: pointer;
        &:hover{
            background-color: $secondary-ultralight-color;
        }
        .notifi-img img{
            width: 50px;
            height: 50px;
            border-radius: 50px;
            object-fit: contain;
            object-position: center;
            box-shadow: 2px 2px 15px 1px #00000014;

        }
        .notifi-text{
            margin-left: 16px;
            h6{
                font-size: 16px;
                font-weight: bold;
            }
            p{
                font-size: 14px;
                margin-bottom: 0;
                opacity: 0.8;
            }
        }
        .notifi-time{
            font-size: 12px;
            p{
                text-align: right;
            }
        }
        .line{
            position: absolute;
            left: 16px;
            bottom: 0;
            right: 16px;
            height: 1px;
            background-color: #F5F5F5;
        }

    }
    @media(max-width:1200px){
        width: 435px;
    }
    @media (max-width:756px){
        width: 380px;
        right: 78px;
        .notification-item{
            grid-template-columns: 45px auto auto;
            .notifi-text{
                h6{
                    font-size: 12px;
                }
                p{
                    font-size: 10px;
                }
            }
            .notifi-time{
                p{
                    font-size: 9px;
                }
            }
        }
    }
    @media(max-width:576px){
        width: 310px;
        right: 16px;
        top: 59px;
    }
}

main{
    padding: 25px;
    background-color: #FAFAFA;
    .container-fluid{
        padding-right: 0;
        padding-left: 0;
        .card{
            border: none;
            box-shadow: 0 2px 4px #00000010;
            .heading-box{
                padding: 16px;
                .title{
                    font-size: 16px;
                    font-weight: bold;
                }
                .action{
                    font-size: 12px;
                }
            }
            .add_post{
                padding: 16px;
                .content, .post_content{
                    padding: 0;
                    display: grid;
                    grid-template-columns: 50px auto 100px;
                    .img{
                        width: 50px;
                        height: 50px;
                        border-radius: 50px;
                        overflow: hidden;
                        margin: auto 0;
                        img{
                            width: 50px;
                        }
                    }
                    .content-box{
                        margin: auto 0 auto 25px;
                        font-size: 20px;
                        color: #00000077;
                        font-weight: 500;
                    }
                    .action-btn{
                        margin: auto 0;
                        text-align: right;
                        button{
                            opacity: 0.5;
                        }
                    }
                }
                .post_option{
                    padding-top: 16px;
                    ul.option{
                        list-style: none;
                        padding: 0;
                        margin: 0;
                        li{
                            display: inline;
                            margin-right: 5px;
                            input[type="radio"]{
                                display: absolute;
                                position: absolute;
                                opacity: 0;
                                &:checked + label {
                                    border: 2px solid $primary-color;
                                    background-color: $primary-color;
                                    color: #fff;
                                    transition: all .2s;
                                }
                                &:focus + label{
                                    border: 2px solid $primary-color;
                                }
                            }
                            label{
                                display: inline-block;
                                background-color: #fff;
                                border: 2px solid $primary-color;
                                color: $primary-color;
                                border-radius: 25px;
                                white-space: nowrap;
                                padding: 5px 18px;
                                margin: 2px 3px;
                                font-size: 12px;
                                font-weight: 600;
                                -webkit-touch-callout: none;
                                user-select: none;
                                -webkit-tap-highlight-color: transparent;
                                transition: all .2s; 
                                cursor: pointer;
                            }
                        }
                    }
                }
            }
            .post{
                .post-content{
                    padding: 16px;
                    border-bottom: 1px solid #BBBBBB;
                    .option-box {
                        display: none;
                        position: absolute;
                        background-color: #fff;
                        width: 238px;
                        height: auto;
                        right: 10px;
                        top: 15px;
                        box-shadow: 2px 2px 10px 1px #00000047;
                        border-radius: 5px;
            
                        p {
                          padding: 8px 15px;
                          margin: 0px;
                          cursor: pointer;
            
                          &:hover {
                            background-color: #ffd4fb;
                            overflow: hidden;
                          }
                        }
                      }
                    .user-info{
                        display: grid;
                        grid-template-columns: 50px auto 30px;
                        margin-bottom: 16px;
                        .img{
                            width: 50px;
                            height: 50px;
                            border-radius: 50px;
                            overflow: hidden;
                            margin: auto 0;
                            img{
                                width: 50px;
                            }
                        }
                        .post-info{
                            margin: auto 0 auto 16px;
                            .post-info-detail{
                                font-size: 18px;
                                color: #000;
                                span{
                                    margin-right: 8px;
                                }
                                .name, .post_type{
                                    font-weight: 700;
                                    color: #000;
                                    opacity: 1;
                                }
                            }
                            .time{
                                font-size: 16px;
                                font-weight: 500;
                                color: #000;
                                opacity: 0.5;
                            }
                        }
                        .option{
                            cursor: pointer;
                            img{
                                width: 30px;
                            }
                        }
                    }
                    .post-content-box{
                        font-size: 16px;
                        .media{
                            display: grid;
                            grid-template-columns: auto auto;
                            grid-gap: 16px;
                            margin-top: 16px;
                            img{
                                max-width: 100%;
                                border-radius: 12px;
                            }

                        }
                        .video {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            margin: 16px auto;
                            border-radius: 12px;
                            overflow: hidden;
                            background-color: #000000;
                            video {
                                min-width: 100%;
                                min-height: 100%;
                            }
                            iframe {
                                width: 720px;
                                height: 400px;
                            }
                            .masterPlay {
                                position: absolute;
                                z-index: 10;
                                color: #f7f4f4;
                                left: 0;
                                font-size: 40px;
                                text-shadow: 0 0 30px #000000;
                                top: 0;
                                right: 0;
                                bottom: 0;
                            }
                        }
                        .audio {
                            display: flex;
                            align-items: center;
                            justify-content: center;
                            margin: 16px auto;
                            background-color: #fff;
                            padding: 16px 0;
                            audio {
                                min-width: 100%;
                                min-height: 100%;
                                background-color: #f1f3f4;
                                border-radius: 30px;
                                box-shadow: 0 3px 4px #00000012;
                            }
                            .masterPlay {
                                position: absolute;
                                z-index: 10;
                                color: #f7f4f4;
                                left: 0;
                                font-size: 40px;
                                text-shadow: 0 0 30px #000000;
                                top: 0;
                                right: 0;
                                bottom: 0;
                            }
                        }
                    }
                }
                .post-option{
                    padding: 16px;
                }
                .inspire{
                    display: grid;
                    grid-template-columns: auto auto auto;
                    .like, .comment, .share{
                        margin: auto;
                        cursor: pointer;
                        .icon{
                            margin-right: 10px;
                            margin-bottom: 10px;
                            img{
                                width: 24px;
                            }
                        }
                        .stat{
                            font-weight: 600;
                            font-size: 16px;
                        }
                    }
                }
                .question-activity{
                    display: grid;
                    grid-template-columns: auto 100px;
                    .stat{
                        font-size: 16px;
                        color: #000;
                        opacity: 0.7;
                        font-weight: 600;
                        margin: auto 0;
                    }
                    .answer{
                        font-size: 12px;
                        font-weight: 700;
                        .icon{
                            img{
                                width: 24px;
                                margin-right: 5px;
                            }
                        }
                    }
                }
                .comment-section {
                    display: grid;
                    grid-template-columns: 50px auto 85px;
                    padding: 16px;
                    align-items: center;
                    border-top: 1px solid #bbbbbb;
          
                    .user-image {
                      width: 40px;
                      height: 40px;
                      border-radius: 50px;
                      overflow: hidden;
                      margin: 0 auto;
          
                      img {
                        width: 40px;
                        height: 40px;
                        object-fit: cover;
                        object-position: top center;
                      }
                    }
          
                    .comment-input {
                      padding: 0 8px;
          
                      input {
                        width: 100%;
                        border-radius: 25px;
                        padding: 8px 20px;
                        box-shadow: 0px 0px 3px #00000030;
                        border: none;
                      }
                    }
          
                    .post-comment {
                      background-color: $primary-color;
                      border-radius: 20px;
          
                      span {
                        color: white;
                        font-weight: 400;
                        width: 100%;
                        text-align: center;
                      }
                    }
                }
                .user-comments {
                    display: none;
                    padding: 0 30px;
                    margin-bottom: 16px;
          
                    .user-info {
                      display: grid;
                      grid-template-columns: 50px auto;
                      align-items: center;
                      margin: auto;
          
                      .img {
                        width: 36px;
                        height: 36px;
                        border-radius: 50px;
                        overflow: hidden;
                        margin: auto 0;
                        cursor: pointer;
          
                        img {
                          width: 36px;
                          height: 36px;
                          object-fit: cover;
                          object-position: top center;
                        }
                      }
          
                      .users-comment-section {
                        background-color: #bbbbbb21;
                        padding: 12px;
                        border-radius: 8px;
          
                        .name {
                          font-weight: 700;
                          cursor: pointer;
                        }
          
                        .comments {
                          span{
                            font-weight: 500;
                          }
                          .comment-time {
                            font-size: 12px;
                            margin-left: 5px;
                          }
                        }
                      }
                    }
                }
            }
            .profile-box{
                padding: 16px;
                .profile-info{
                    display: grid;
                    grid-template-columns: 65px auto;
                    .profile-pic{
                        width: 65px;
                        height: 65px;
                        overflow: hidden;
                        border-radius: 65px;
                        box-shadow: 0 2px 4px #00000010;
                        img{
                            width: 65px;
                        }
                    }
                    .profile-detail{
                        margin: auto 0 auto 16px;
                        display: inherit;
                        .name{
                            font-size: 18px;
                            font-weight: bold;
                        }
                        .username{
                            color: #606060;
                            font-size: 16px;
                        }
                    }
                }
                .profile-stat{
                    margin-top: 15px;
                    display: grid;
                    grid-template-columns: auto auto auto auto;
                    .stat-option{
                        display: inherit;
                        text-align: center;
                        .value{
                            font-size: 20;
                            font-weight: 600;
                        }
                        .head{
                            font-size: 14px;
                            color: #606060;
                        }
                    }
                }
            }
            .content, .post_content{
                padding: 16px;
                ul.preference{
                    list-style: none;
                    padding: 0;
                    li{
                        display: inline;
                        margin-right: 5px;
                        input[type="checkbox"]{
                            display: absolute;
                            position: absolute;
                            opacity: 0;
                            &:checked + label {
                                border: 2px solid $secondary-light-color;
                                background-color: $secondary-light-color;
                                // color: #fff;
                                transition: all .2s;
                                &:before{
                                    content: "\f00c";
                                    transform: rotate(-360deg);
                                    transition: transform .3s ease-in-out;
                                    color: #000000bb;
                                }
                            }
                            &:focus + label{
                                border: 2px solid $secondary-light-color;
                            }
                        }
                        label{
                            display: inline-block;
                            background-color: #eeeeee;
                            border: 2px solid #eeeeee;
                            color: #000000bb;
                            border-radius: 25px;
                            white-space: nowrap;
                            margin: 3px 0px;
                            -webkit-touch-callout: none;
                            -webkit-user-select: none;
                            -moz-user-select: none;
                            -ms-user-select: none;
                            user-select: none;
                            -webkit-tap-highlight-color: transparent;
                            transition: all .2s;    
                            padding: 4px 8px;
                            cursor: pointer;
                            &:before{
                                display: inline-block;
                                font-style: normal;
                                font-variant: normal;
                                text-rendering: auto;
                                -webkit-font-smoothing: antialiased;
                                font-family: "Font Awesome 5 Free";
                                font-weight: 900;
                                font-size: 12px;
                                padding: 2px 6px 2px 2px;
                                content: "\f067";
                                color: #000000bb;
                                transition: transform .3s ease-in-out;
                            }
                        }
                    }
                }
            }
            .question{
                display: none;
            }
            .course{
                position: relative;
                padding: 16px;
                display: grid;
                cursor: pointer;
                grid-template-columns: 40px auto 30px;
                transition: .5s;
                &:hover{
                    background-color: $secondary-ultralight-color;
                }
                .img{
                    width: 40px;
                    height: 40px;
                    border-radius: 8px;
                    overflow: hidden;
                    margin: auto 0;
                    img{
                        width: 40px;
                    }
                }
                .course-info{
                    margin: auto 0px auto 16px;
                    .course-type{
                        color: #3D3D3D77;
                        font-size: 12px;
                    }
                    .course-name{
                        color: #000000;
                        font-size: 15px;
                        margin-top: 4px;
                    }
                }
                .status{
                    margin: auto 0;
                    font-size: 12px;
                    font-weight: bold;
                }
                .line{
                    position: absolute;
                    left: 16px;
                    bottom: 0;
                    right: 16px;
                    height: 1px;
                    background-color: #F5F5F5;
                }
            }
            .top-followers{
                position: relative;
                padding: 16px;
                display: grid;
                cursor: pointer;
                grid-template-columns: 40px auto;
                transition: .5s;
                &:hover{
                    background-color: $secondary-ultralight-color;
                }
                .img{
                    width: 40px;
                    height: 40px;
                    border-radius: 40px;
                    overflow: hidden;
                    margin: auto 0;
                    img{
                        width: 40px;
                    }
                }
                .follower-info{
                    margin: auto 0px auto 16px;
                    .follower-name{
                        color: #000000;
                        font-size: 16px;
                        font-weight: 600;
                    }
                    .unfollow{
                        font-size: 12px;
                        color: #00000077;
                        // margin-top: 4px;
                    }
                    .follow{
                        font-size: 12px;
                        color: $primary-color;
                    }
                }
                .line{
                    position: absolute;
                    left: 16px;
                    bottom: 0;
                    right: 16px;
                    height: 1px;
                    background-color: #F5F5F5;
                }
            }
            .leaderboard{
                position: relative;
                padding: 16px;
                display: grid;
                cursor: pointer;
                grid-template-columns: 40px auto 48px;
                transition: .5s;
                &:hover{
                    background-color: $secondary-ultralight-color;
                }
                .img{
                    width: 40px;
                    height: 40px;
                    border-radius: 40px;
                    overflow: hidden;
                    margin: auto 0;
                    img{
                        width: 40px;
                    }
                }
                .info{
                    margin: auto 0px auto 16px;
                    .name{
                        font-size: 16px;
                        color: #000000;
                        font-weight: 700;
                    }
                    .point{
                        font-size: 12px;
                        color: #000;
                    }
                }
                .status{
                    margin: auto 0;
                    font-size: 12px;
                    font-weight: bold;
                    color: $primary-color;
                }
                .line{
                    position: absolute;
                    left: 16px;
                    bottom: 0;
                    right: 16px;
                    height: 1px;
                    background-color: #F5F5F5;
                }
            }
            .self{
                background-color: $secondary-light-color;
            }
        }
    }
}


.post-modal {
    background-color: #00000080;
    display: none;
    padding: 25px;
  
    .card {
      display: flex;
      margin: 70px auto 0;
      border: none;
      overflow: hidden;
      border-radius: 5px;
  
      .ask-question {
        .card-heading {
          display: grid;
          grid-template-columns: auto 50px;
          text-align: center;
          border-bottom: 1px solid #bbbbbb;
          padding: 16px 0px;
          font-size: 20px;
          font-weight: 500;
  
          i {
            cursor: pointer;
          }
        }
  
        .ask-ques-content {
          padding: 16px;
  
          .user-info {
            display: grid;
            grid-template-columns: 50px auto 30px;
            align-items: center;
            margin-bottom: 16px;
  
            .img {
              width: 50px;
              height: 50px;
              border-radius: 50px;
              overflow: hidden;
              margin: auto 0;
  
              img {
                width: 50px;
              }
            }
  
            .post-info {
              margin: auto 0 auto 16px;
  
              .post-info-detail {
                font-size: 18px;
                color: #000;
  
                span {
                  margin-right: 8px;
                }
  
                .name {
                  font-weight: 700;
                  color: #000;
                  opacity: 1;
                }
              }
            }
          }
  
          .post-content-box {
            font-size: 16px 0px;
            textarea {
                border: none;
                width: 100%;
                padding: 8px 16px;
                font-size: 15px;
                &::-webkit-scrollbar{
                    width: 3.5px;
                }
                &::-webkit-scrollbar-thumb {
                  background: #a09e9e; 
                  border-radius: 5px;
                }
                &:focus{
                  outline: none;
                }
            }
          }
        }
  
        .content {
          padding: 16px;
  
          ul.preference {
            list-style: none;
            padding: 0;
  
            li {
              display: inline;
              margin-right: 5px;
  
              //   border: 1px solid black;
              input[type="checkbox"] {
                position: absolute;
                opacity: 0;
  
                &:checked+label {
                  border: 2px solid $primary-color;
                  background-color: $primary-color;
                  color: #fff;
                  transition: all 0.2s;
  
                  // color: #fff;
                  &:before {
                    content: "\f00c";
                    transform: rotate(-360deg);
                    transition: transform 0.3s ease-in-out;
                    color: #fff;
                  }
                }
              }
  
              label {
                display: inline-block;
                background-color: #eeeeee;
                border: 2px solid $primary-color;
                color: $primary-color;
                border-radius: 25px;
                white-space: nowrap;
                margin: 3px 0px;
                -webkit-touch-callout: none;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                -webkit-tap-highlight-color: transparent;
                transition: all 0.2s;
                padding: 4px 8px;
                cursor: pointer;
  
                &:before {
                  display: inline-block;
                  font-style: normal;
                  font-variant: normal;
                  text-rendering: auto;
                  -webkit-font-smoothing: antialiased;
                  font-family: "Font Awesome 5 Free";
                  font-weight: 900;
                  font-size: 12px;
                  padding: 2px 6px 2px 2px;
                  content: "\f067";
                  color: $primary-color;
                  transition: transform 0.3s ease-in-out;
                }
              }
            }
  
            input[type="text"] {
              border: 2px solid $primary-color;
              color: $primary-color;
              border-radius: 25px;
              padding: 4px 8px;
  
              &::after {
                content: "\f067";
                font-weight: 900;
                font-size: 12px;
                padding: 2px 6px 2px 2px;
              }
            }
          }
  
          ul.category-preference {
            list-style: none;
            padding: 0;
            display: none;
            margin-bottom: 0;
  
            li {
              display: inline-block;
              margin-right: 5px;
  
              //   border: 1px solid black;
              input[type="checkbox"] {
                position: absolute;
                opacity: 0;
  
                &:checked+label {
                  border: 2px solid $primary-color;
                  background-color: $primary-color;
                  color: #fff;
                  transition: all 0.2s;
  
                  // color: #fff;
                  &:before {
                    content: "\f00c";
                    transform: rotate(-360deg);
                    transition: transform 0.3s ease-in-out;
                    color: #fff;
                  }
                }
              }
  
              label {
                display: inline-block;
                background-color: #eeeeee;
                border: 2px solid $primary-color;
                color: $primary-color;
                border-radius: 25px;
                white-space: nowrap;
                margin: 3px 0px;
                -webkit-touch-callout: none;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                -webkit-tap-highlight-color: transparent;
                transition: all 0.2s;
                padding: 4px 8px;
                cursor: pointer;
  
                &:before {
                  display: inline-block;
                  font-style: normal;
                  font-variant: normal;
                  text-rendering: auto;
                  -webkit-font-smoothing: antialiased;
                  font-family: "Font Awesome 5 Free";
                  font-weight: 900;
                  font-size: 12px;
                  padding: 2px 6px 2px 2px;
                  content: "\f067";
                  color: $primary-color;
                  transition: transform 0.3s ease-in-out;
                }
              }
  
              .search-box {
                position: relative;
                margin: auto;
                border-left: thin solid #00000020;
                .fa-search {
                  position: absolute;
                  left: 23.5px;
                  top: 11px;
                  color: #707070;
                  font-size: 14px;
                }
  
                input {
                  border: none;
                  border-radius: 20px;
                  font-size: 16px;
                  color: #00000070;
                  width: 100%;
                  padding: 4px 9px 4px 40px;
                  border: 2px solid $primary-color;
                  background-color: #f5f5f5;
                  margin-left: 5px;
  
                  &:focus {
                    outline: none;
                  }
  
                  &::-webkit-input-placeholder {
                    font-size: 16px;
                    color: #00000070;
                  }
                }
              }
            }
          }
        }
  
        ul.selected-content {
          border-top: 1px solid #bbbbbb;
          list-style: none;
          padding: 0 16px;
  
          li {
            display: inline-block;
            margin-right: 5px;
  
            //   border: 1px solid black;
            input[type="checkbox"] {
              position: absolute;
              opacity: 0;
  
              &:checked+label {
                border: 2px solid $primary-color;
                background-color: $primary-color;
                color: #fff;
                transition: all 0.2s;
                // color: #fff;
              }
            }
  
            label {
              display: inline-block;
              background-color: #ff4e00;
              color: #fff;
              border-radius: 25px;
              font-size: 15px;
              white-space: nowrap;
              margin: 16px 0px 3px 0px;
              text-transform: capitalize;
              -webkit-touch-callout: none;
              -webkit-user-select: none;
              -moz-user-select: none;
              -ms-user-select: none;
              user-select: none;
              -webkit-tap-highlight-color: transparent;
              transition: all 0.2s;
              padding: 4px 12px;
              cursor: pointer;
  
              i {
                margin-left: 8px;
              }
            }
          }
        }
      }
  
      .ask-btn {
        background-color: $primary-color;
        color: #fff;
        text-align: center;
        padding: 16px 0;
        cursor: pointer;
  
        span {
          font-size: 18px;
          font-weight: bold;
        }
      }
    }
  }
  
.post-inspiration-modal {
    background-color: #00000080;
    display: none;
    padding: 25px;
    .card {
        display: flex;
        margin: 70px auto 0;
        border: none;
        overflow: hidden;
        border-radius: 5px;
        .post-inspiration {
            .card-heading {
              display: grid;
              grid-template-columns: auto 50px;
              text-align: center;
              border-bottom: 1px solid #bbbbbb;
              padding: 16px 0px;
              font-size: 20px;
              font-weight: 500;
                i{
                  cursor: pointer;
                }
            }
            .inspiration-content {
                padding: 16px;
                .user-info {
                  display: grid;
                  grid-template-columns: 50px auto 30px;
                  align-items: center;
                  margin-bottom: 16px;
                    .img {
                      width: 50px;
                      height: 50px;
                      border-radius: 50px;
                      overflow: hidden;
                      margin: auto 0;
                      img {
                        width: 50px;
                      }
                    }
                    .post-info {
                        margin: auto 0 auto 16px;
                        .post-info-detail {
                          font-size: 18px;
                          color: #000;
                            span {
                              margin-right: 8px;
                            }
                            .name {
                              font-weight: 700;
                              color: #000;
                              opacity: 1;
                            }
                        }
                    }
                }

                .post-content-box {
                    font-size: 16px 0px;
                    textarea {
                        border: none;
                        width: 100%;
                        padding: 8px 16px;
                        &::-webkit-scrollbar{
                            width: 3.5px;
                        }
                        &::-webkit-scrollbar-thumb {
                          background: #a09e9e; 
                          border-radius: 5px;
                        }
                        &:focus{
                          outline: none;
                        }
                    }
                }
            }
            .inspiration-category {
                display: flex;
                align-items: center;
                justify-content: center;
                .inspiration-option {
                    border: 1px solid #7F7F7F;
                    padding: 16px;
                    margin: 8px;
                    border-radius: 30px;
                    text-align: center;
                    cursor: pointer;
                    &:hover{
                        background-color: #ffeefd;
                    }
                    img {
                        height: 25px;
                    }
                }
            }
        }
  
        .post-btn {
            background-color: $primary-color;
            color: #fff;
            text-align: center;
            padding: 16px 0;
            cursor: pointer;
            span {
              font-size: 18px;
              font-weight: bold;
            }
        }
    }
}

.post-likes-modal {
    background-color: #000000bb;
    display: none;
    // padding: 25px;
    // filter: blur(8px);

    .card {
      display: flex;
      margin: 70px auto 0;
      border: none;
      border-radius: 5px;
      max-width: 438px;
      .post-likes {
        .card-heading {
          display: grid;
          grid-template-columns: auto 50px;
          text-align: center;
          border-bottom: 1px solid #bbbbbb;
          padding: 16px 0px;
          font-size: 20px;
          font-weight: 500;
  
          .heading {
            text-align: center;
            padding-left: 16px;
          }
  
          i {
            cursor: pointer;
          }
        }
        .like-box{
            overflow-y: scroll;
            height: 500px;
            &::-webkit-scrollbar{
                width: 3px;
            }
            &::-webkit-scrollbar-thumb {
              background: #a09e9e; 
              border-radius: 5px;
            }
            
        .like {
            position: relative;
            padding: 16px;
            display: grid;
            grid-template-columns: 40px auto 48px;
            transition: 0.5s;
            .img {
              width: 40px;
              height: 40px;
              border-radius: 40px;
              overflow: hidden;
              margin: auto 0;
    
              img {
                width: 40px;
                height: 40px;
                object-fit: cover;
                object-position: top center;
              }
            }
            .info {
              margin: auto 0px auto 16px;
              .name {
                font-size: 16px;
                color: #000000;
                font-weight: 700;
              }
              .point {
                font-size: 12px;
                color: #000;
              }
            }
            .status {
              margin: auto 0;
              font-size: 12px;
              font-weight: bold;
              color: $primary-color;
              cursor: pointer;
            }
            .line {
              position: absolute;
              left: 16px;
              bottom: 0;
              right: 16px;
              height: 1px;
              background-color: #f5f5f5;
            }
          }
        }
      }
    }
}



@media(max-width:1200px){
    header{
        grid-template-columns: 28px 110px auto 90px;
        .button{
            display: block;
        }
        a{
            margin: auto 0 auto 20px;
        }
    }
}

@media(max-width:576px){
    header{
        grid-template-columns: 38px 95px auto 85px;
        padding: 10px 10px;
        a{
            img{
                width: 75px;
            }
        }
        .search-box{
            margin: auto 10px;
            text-align: right;
            .fa-search{
                position: relative;
                left: 0;
                top: 3px;
                font-size: 20px;
            }
            input{
                display: none;
            }
        }
        .right-box{
            .notification-bell{
                font-size: 18px;
                margin: auto;
            }
            .profile-pic{
                width: 28px;
                height: 28px;
                overflow: hidden;
                border-radius: 28px;
                margin: auto;
                img{
                    width: 28px;
                }
            }
        }
    }
    main{
        padding: 12px;
        .container-fluid{
            .card{
                .post{
                    .post-content{
                        padding: 12px;
                        .user-info{
                            grid-template-columns: 40px auto 24px;
                            .img{
                                width: 40px;
                                height: 40px;
                                border-radius: 40px;
                                img{
                                    width: 40px;
                                }
                            }
                            .post-info{
                                margin: auto 0 auto 12px;
                                .post-info-detail{
                                    font-size: 15px;
                                    span{
                                        margin-right: 6px;
                                    }
                                }
                                .time{
                                    font-size: 14px;
                                }
                            }
                            .option{
                                img{
                                    width: 24px;
                                }
                            }
                        }
                        .post-content-box{
                            .media{
                                grid-gap: 5px;
                                margin-top: 12px;
                                img{
                                    border-radius: 8px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}